> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace PPM Config with Repository Detection

> Get PPM configuration including repositories detected from workspace renv.lock file



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config:
    get:
      tags:
        - PPM
      summary: Get Workspace PPM Config with Repository Detection
      description: >-
        Get PPM configuration including repositories detected from workspace
        renv.lock file
      operationId: workspaceConfig
      parameters:
        - description: The id of the project
          in: path
          name: projectId
          required: true
          schema:
            pattern: ^[0-9a-f]{24}$
            type: string
        - description: The id of the workspace for renv.lock detection
          in: path
          name: workspaceId
          required: true
          schema:
            pattern: ^[0-9a-f]{24}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectConfigResponse'
          description: Success
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ProjectConfigResponse:
      properties:
        biocVersion:
          description: Bioconductor version from renv.lock (if available)
          nullable: true
          type: string
        rVersion:
          description: R version from renv.lock (if available)
          nullable: true
          type: string
        repoAllowlist:
          description: List of allowed repository URLs from .domino/repo-allowlist file
          items:
            type: string
          type: array
        serverRepos:
          description: Repositories available on PPM servers
          items:
            $ref: '#/components/schemas/ServerRepo'
          type: array
        workspaceRepos:
          description: Repositories detected from workspace renv.lock
          items:
            $ref: '#/components/schemas/WorkspaceRepo'
          type: array
      required:
        - workspaceRepos
        - serverRepos
      type: object
    ServerRepo:
      properties:
        baseUrl:
          description: PPM server base URL
          type: string
        fullUrl:
          description: Complete repository URL
          type: string
        repoName:
          description: Repository name
          type: string
      required:
        - baseUrl
        - repoName
        - fullUrl
      type: object
    WorkspaceRepo:
      properties:
        baseUrl:
          description: PPM server base URL
          type: string
        currentSnapshot:
          description: Snapshot date or "latest"
          type: string
        fullUrl:
          description: Complete repository URL with snapshot
          type: string
        repoName:
          description: Repository name (e.g., "cran", "bioconductor")
          type: string
      required:
        - baseUrl
        - repoName
        - currentSnapshot
        - fullUrl
      type: object
  responses:
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````